<?php

/*
 * Copyright (c) 2018 Heimrich & Hannot GmbH
 *
 * @license LGPL-3.0-or-later
 */

namespace HeimrichHannot\WatchlistBundle\Lists;

use Contao\System;
use HeimrichHannot\FilterBundle\QueryBuilder\FilterQueryBuilder;
use HeimrichHannot\ListBundle\Lists\DefaultList;
use HeimrichHannot\WatchlistBundle\Model\WatchlistModel;

class WatchlistDownloadList extends DefaultList
{
    public function applyListConfigToQueryBuilder(int $totalCount, FilterQueryBuilder $queryBuilder): void
    {
        parent::applyListConfigToQueryBuilder($totalCount, $queryBuilder); // TODO: Change the autogenerated stub

        $watchlistUuid = System::getContainer()->get('huh.request')->getGet('watchlist');

        if (null === ($adapter = System::getContainer()->get('contao.framework')->getAdapter(WatchlistModel::class))) {
            return;
        }

        if (null === ($watchlist = $adapter->findPublishedByUuid($watchlistUuid))) {
            return;
        }

        $queryBuilder->andWhere($queryBuilder->expr()->eq('pid', $watchlist->id));
    }
}
